package com.njcn.pojo.commons;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 暂降事件特征幅值
 * @author: denghuajun
 * @time: 2019-10-17 13:59:51
 **/
public class EventEigDetail implements Serializable {
    /**
     * 输出参数
     * 持续时间（单位秒）
     * hold_time_rms 有效值算法持续时间
     * hold_time_dq dq变换算法持续时间
     * 波形起始点（单位度）
     * POW_a A相波形起始点
     * POW_b B相波形起始点
     * POW_c C相波形起始点
     * 跳变段电压变化率（单位V/S）
     * Voltagechange_Va A相跳变段电压变化率
     * Voltagechange_Vb B相跳变段电压变化率
     * Voltagechange_Vc C相跳变段电压变化率
     * 分段信息
     * SEG_T_num 分段数目
     * SEG_T0_idx 原始分段位置
     * SEG_T_idx 修正分段位置
     * 有效值分段信息
     * SEG_RMS_T_num 分段数目
     * SEG_RMS_T_idx 分段位置
     * 特征幅值（单位V）
     * u_min_num 特征值个数
     * ua_min A相电压特征值
     * ub_min B相电压特征值
     * uc_min C相电压特征值
     * u3_min 三相电压特征值
     * order_min_idx 最小值位置
     * 相位跳变(单位度)
     * angle_diff_ap A相相位正跳变
     * angle_diff_bp B相相位正跳变
     * angle_diff_cp C相相位正跳变
     * angle_diff_an A相相位负跳变
     * angle_diff_bn B相相位负跳变
     * angle_diff_cn C相相位负跳变
     * bph_max_value 不平衡度（单位%）
     */
    public float hold_time_dq;
    public float pow_a;
    public float pow_b;
    public float pow_c;
    public float voltagechange_Va;
    public float voltagechange_Vb;
    public float voltagechange_Vc;
    public float ua_min;
    public float ub_min;
    public float uc_min;
    public float angle_diff_ap;
    public float angle_diff_bp;
    public float angle_diff_cp;
    public float bph_max_value;
    public String sagReason; // 暂降原因描述，数据库获取
    public String sagType; // 暂降类型描述，数据库获取
    private Integer pttype;

    public Integer getPttype() {
        return pttype;
    }

    public void setPttype(Integer pttype) {
        this.pttype = pttype;
    }

    public float getHold_time_dq() {
        return hold_time_dq;
    }

    public void setHold_time_dq(float hold_time_dq) {
        this.hold_time_dq = hold_time_dq;
    }

    public float getPow_a() {
        return pow_a;
    }

    public void setPow_a(float pow_a) {
        this.pow_a = pow_a;
    }

    public float getPow_b() {
        return pow_b;
    }

    public void setPow_b(float pow_b) {
        this.pow_b = pow_b;
    }

    public float getPow_c() {
        return pow_c;
    }

    public void setPow_c(float pow_c) {
        this.pow_c = pow_c;
    }

    public float getVoltagechange_Va() {
        return voltagechange_Va;
    }

    public void setVoltagechange_Va(float voltagechange_Va) {
        this.voltagechange_Va = voltagechange_Va;
    }

    public float getVoltagechange_Vb() {
        return voltagechange_Vb;
    }

    public void setVoltagechange_Vb(float voltagechange_Vb) {
        this.voltagechange_Vb = voltagechange_Vb;
    }

    public float getVoltagechange_Vc() {
        return voltagechange_Vc;
    }

    public void setVoltagechange_Vc(float voltagechange_Vc) {
        this.voltagechange_Vc = voltagechange_Vc;
    }

    public float getUa_min() {
        return ua_min;
    }

    public void setUa_min(float ua_min) {
        this.ua_min = ua_min;
    }

    public float getUb_min() {
        return ub_min;
    }

    public void setUb_min(float ub_min) {
        this.ub_min = ub_min;
    }

    public float getUc_min() {
        return uc_min;
    }

    public void setUc_min(float uc_min) {
        this.uc_min = uc_min;
    }

    public float getAngle_diff_ap() {
        return angle_diff_ap;
    }

    public void setAngle_diff_ap(float angle_diff_ap) {
        this.angle_diff_ap = angle_diff_ap;
    }

    public float getAngle_diff_bp() {
        return angle_diff_bp;
    }

    public void setAngle_diff_bp(float angle_diff_bp) {
        this.angle_diff_bp = angle_diff_bp;
    }

    public float getAngle_diff_cp() {
        return angle_diff_cp;
    }

    public void setAngle_diff_cp(float angle_diff_cp) {
        this.angle_diff_cp = angle_diff_cp;
    }

    public float getBph_max_value() {
        return bph_max_value;
    }

    public void setBph_max_value(float bph_max_value) {
        this.bph_max_value = bph_max_value;
    }

    public String getSagReason() {
        return sagReason;
    }

    public void setSagReason(String sagReason) {
        this.sagReason = sagReason;
    }

    public String getSagType() {
        return sagType;
    }

    public void setSagType(String sagType) {
        this.sagType = sagType;
    }
}